:root{
    --red: rgba(227, 25, 23,1);
    --redsubtle: rgba(227, 25, 23,0.5);
    --yellow: rgba(255, 201, 92,1);
    --yellowsubtle: rgba(255, 201, 92,0.85);
    --black:rgba(23,23,23,1);
     --blacksubtle:rgba(23,23,23,0.85);

}
* {
    font-family: "Darumadrop One", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}
body{
    background-color: var(--yellow);
    display: flex;
    flex-direction: column;
    width: 100vw;
    overflow-x: hidden;
}
#sectionnav{
    display: flex;
    width: 100vw;
    margin:0;
    padding: 0;
    position: sticky;
    top:0;
    left:0;
    z-index: 2;
    box-shadow: 0 1px 8px var(--blacksubtle);
}
nav{
    display: flex;
    width: 100%;
    background-color:var(--yellow);
    #textLogo{
        text-shadow: 1px 1px 2px var(--black);
        margin: 0 0 0 1.5rem;
    }
    button{
        margin: 0 1.5rem 0 0;
        box-shadow: 1px 1px 5px var(--blacksubtle);
    }
    #btnHome, #btnMenu{
        background-color: transparent;
        outline: none;
        border: none;
        box-shadow: none;
        color: white;
        text-shadow: 1px 1px 2px var(--black);
        margin: 1rem 1.8rem 0 0;
    }
    a{
        text-shadow: 1px 1px 2px var(--black);
        margin: 1rem 2.2rem 0 0;
        padding: 0 !important;
    }

}

#herosection{
    display: flex;
    flex-direction: column;
    width: 100%;
    padding:0;
    background-color: var(--yellow);
   
    #heroimage{
        position: relative;
        display: flex;
        width: 100vw;
        height: calc(100vh - 54px);
        mask-image: url(hero_mask.png);
        mask-position: right;
        mask-repeat: no-repeat;
        mask-size: cover;
        img{
            width: 100%;
            object-fit: cover;
            filter: brightness(0.7)
        }
    }
    #herotext{
        position: absolute;
        top: 0;
        left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100vh;
    h1{
        display: inline-block;
        width: 80%;
        text-wrap: wrap;
        font-size: clamp(3rem, 7vw, 5rem);
        color: white;
        letter-spacing: -2px;
        line-height: clamp(2.8rem, 7vw, 4.5rem);
        text-shadow: 2px 2px 5px var(--black);
        margin: 7vw 0 0 8vw;
      
    }
    h3{
        position: relative;
        display: inline-block;
        width: 80%;
        text-wrap: wrap;
        font-size: clamp(2.2rem, 5vw, 3rem);
        line-height: clamp(1.8rem, 5vw, 2.8rem);
        color: var(--yellow);
        letter-spacing: -2px;
        text-shadow: 2px 2px 5px var(--black);
        margin: 7vw 0 0 8vw;
      
    }
    #ctaBtn{
        display: none;
        align-items: center;
        margin: 7vw 0 0 8vw;
        a{
            background-color: var(--red);
            color: white;
            text-shadow: 2px 2px 5px var(--black);
            font-size: clamp(1.6rem, 4vw, 1.85rem);
            text-decoration: none;
            width: fit-content;
            padding: 0.2rem 3rem 1rem 2.5rem;
            border-radius: 12px;
            box-shadow: 2px 2px 5px var(--yellow);
            mask-image: url(btn_mask.png);
            mask-position: center;
            mask-size: cover;
            mask-repeat: no-repeat;
        }
       
       
      
    }
    }
}


#btnToggler{
    border: 2px solid white;
}
.material-symbols-outlined{
    color: white;
}
.navbar-nav .nav-item .nav-link{ 
    text-align: center;
}
#aboutus{
    display: flex;
    justify-content: center;
    width: 100vw;
    background-color: var(--yellow);
    padding: 3rem 0;
    .container{
        display: flex;
        justify-content: center;
        width: 100%;
        margin: 0;
        padding: 0;
        .row{
            width: 100%;
            justify-content: center;
            .aboutus-text{
            display: flex;
            width: 100%;
            justify-content: center;
            width: clamp(300px, 70vw, 800px);
            }
            #aboutustext{
            text-shadow: 2px 2px 5px white;
            color: var(--blacksubtle);
            letter-spacing: -0.5px;
            font-size: clamp(1.6rem, 4vw, 1.85rem);
            }
            .aboutus-pic{
                width: 100%;
                display: flex;
                justify-content: center;
                overflow: hidden;
                .row{
                    display: flex;
                    justify-content: center;
                    margin: 0;
                    padding: 0;

                    .bento1{
                    display: flex;
                    justify-content: center;
                    flex-grow: 1;
                    padding: 0.5rem;
                        img{
                        width: 100%;
                        object-fit: cover;
                        mask-image: url(aboutus_mask.png);
                        mask-position: top;
                        mask-size: cover;
                        mask-repeat: no-repeat;
                        border-radius: 20px;
                        }
                    }
                    .bento2, .bento3{
                        display: flex;
                        justify-content: center;
                        padding: 0.5rem;
                        img{
                            width: 100%;
                            height: 100%;
                            object-fit: cover;
                            mask-image: url(aboutus_mask.png);
                            mask-position: top;
                            mask-size: cover;
                            mask-repeat: no-repeat;
                            border-radius: 20px;
                        }
                    }
                }
              
            }
        }
        
    }   
}

#sectionbreak{
    width: 100vw;
    padding: 0;
    img{
        width: 100%;
        object-fit: cover;
        object-position: center;
    }
}

#sectionmainproduct{
    background-color: var(--yellow);
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 3rem;
    #mainmenutopic{
     font-size: clamp(1.6rem, 4vw, 1.85rem);
     color:var(--blacksubtle);
     text-shadow: 1px 1px 2px white;
     margin: 0 auto 3rem auto;
    }
    .card{
        display: flex;
        border-radius: 20px;
        overflow: hidden;
        margin: auto;
        background-color: var(--black);
        color: var(--yellow);
        img{
        aspect-ratio: 1;
        object-fit: cover;
        }
        .card-body p{
            text-shadow: 1px 1px 2px var(--red);
        }
    }
    #fullmenu{
        display: none;
        width: 100%;
        justify-content: center;
        #btnFullMenu{
            display: flex;
            text-align: center;
            width: fit-content;
            color: white;
            background-color: var(--red);
            text-shadow: 2px 2px 5px var(--black);
            font-size: clamp(1.6rem, 4vw, 1.85rem);
            width: fit-content;
            padding: 0.2rem 3rem 1rem 2.5rem;
            margin: 3rem 0 0 0;
            text-decoration: none;
            mask-image: url(btn_mask.png);
            mask-position: center;
            mask-size: cover;
        }
    }
    
}

#pic2sections{
    display: flex;
    flex-direction: column;
    width: 100%;
    background-image: url(overview_truck.jpg);
    background-position: center;
    background-size: cover;
        #contact{
            display: flex;
            justify-content: center;
            width: 100vw;
            background-image: linear-gradient(180deg, rgba(255, 201, 92, 1) 0%, rgba(255, 201, 92, 0.9) 30%, rgba(0, 0, 0, 0.7) 100%);
            .row{
                display: flex;
                justify-content: center;
                width: 75vw;
            }
            #businesshours{
                display: flex;
                flex-direction: column;
                width: 100%;
                align-items: center;
                p{
                color: white;
                font-size: clamp(1.6rem, 4vw, 1.85rem);
                text-shadow: 1px 1px 2px var(--black);
                }
                p:nth-child(1){
                color: var(--blacksubtle);
                font-size: clamp(2rem, 5vw, 3rem);
                text-shadow: 1px 1px 2px white;
                }
            }
            #address{
                display: flex;
                flex-direction: column;
                width: 100%;
                align-items: center;
                
                p{
                color: white;
                font-size: clamp(1.6rem, 4vw, 1.85rem);
                text-shadow: 1px 1px 2px var(--black);
                }
                p:nth-child(1){
                color: var(--blacksubtle);
                font-size: clamp(2rem, 5vw, 3rem);
                text-shadow: 1px 1px 2px white;
                }
                iframe{
                    width: 80%;
                    display:flex;
                    margin: 2rem auto;
                    padding: 0;
                    border-radius: 20px;
                }
            }
           
        }    
}


#footer{
background-color: var(--yellowsubtle);

#footercontainer{
    display: flex;
    width: 100%;
    height: 150px;
    background-color: var(--red);
    .socialicons{
        display: flex;
        width: fit-content;
        .socialmedia{
            height: 35px;
            aspect-ratio: 1;
            margin: 0 0.4rem 0.5rem 0.4rem;
        }
    }
    p{
        color: white;
    }
}

}

.modal-content{
    display: flex;
    width: fit-content;
    max-width: 85vw;
    margin: 0 auto;
    .modal-body{
    display: flex;
    width: 100%;
        img{
            width: 100%;
        }
    }
    .modal-footer{
        #btnCloseModal{
            display: flex;
            align-items: center;
            background-color: var(--red);
            font-size: clamp(1.4rem, 3.5vw, 1.65rem);
            outline: none;
            border: none;
        }
    }
}
/* Start for Menu Page */

#containerMenu{
    display: flex;
    width: 100vw;
    min-height: calc(100vh - 54px - 150px);
    padding: 0;
    margin: 0;
    background-image: url(side_truck.jpg);
    background-position: right;
    background-size: cover;
}

